<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\LeiterMitarbeiterAndererVeranstalter\DozentDetails;

class DozentDetailsController extends \Kufer\KuferTools\Basis\DozentenInfo\DozentDetails\DozentDetailsController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new DozentDetailsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new DozentDetailsPresenter($pUseCaseResponse);
  }
}